import {Route, Routes, Outlet, Navigate} from 'react-router-dom'

import {PageLink, PageTitle} from '../../../../_metronic/layout/core'
import {UsersListWrapper} from './object-list/UsersList'

const usersBreadcrumbs: Array<PageLink> = [
  {
    title: 'User Management',
    path: '/apps/management/persons/all/*',
    isSeparator: false,
    isActive: false,
  },
  {
    title: '',
    path: '',
    isSeparator: true,
    isActive: false,
  },
]


const UsersPage = () => {
  
  return (
    <Routes>
      <Route element={<Outlet />}>
        <Route
          path='all/:page'
          element={
            <>
              <PageTitle breadcrumbs={usersBreadcrumbs}>Personer</PageTitle>
              <UsersListWrapper />
            </>
          }
        />
      </Route>
      
      <Route index element={<Navigate to='/apps/management/persons/' />} />
    </Routes>
  )
}

export default UsersPage
